<!DOCTYPE html>
<head>    
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <script>L_PREFER_CANVAS = false; L_NO_TOUCH = false; L_DISABLE_3D = false;</script>
    <script src="https://cdn.jsdelivr.net/npm/leaflet@1.2.0/dist/leaflet.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Leaflet.awesome-markers/2.0.2/leaflet.awesome-markers.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet@1.2.0/dist/leaflet.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Leaflet.awesome-markers/2.0.2/leaflet.awesome-markers.css" />
    <link rel="stylesheet" href="https://rawgit.com/python-visualization/folium/master/folium/templates/leaflet.awesome.rotate.css" />
    <style>html, body {width: 100%;height: 100%;margin: 0;padding: 0;}</style>
    <style>#map {position:absolute;top:0;bottom:0;right:0;left:0;}</style>
    
            <style> #map_4a8d5b93c59448a8b52cfa2e58817a1c {
                position : relative;
                width : 100.0%;
                height: 100.0%;
                left: 0.0%;
                top: 0.0%;
                }
            </style>
        
</head>
<body>    
    
            <div class="folium-map" id="map_4a8d5b93c59448a8b52cfa2e58817a1c" ></div>
        
</body>
<script>    
    

            
                var bounds = null;
            

            var map_4a8d5b93c59448a8b52cfa2e58817a1c = L.map(
                                  'map_4a8d5b93c59448a8b52cfa2e58817a1c',
                                  {center: [50,5],
                                  zoom: 5,
                                  maxBounds: bounds,
                                  layers: [],
                                  worldCopyJump: false,
                                  crs: L.CRS.EPSG3857
                                 });
            
        
    
            var tile_layer_aaaac705b8bf45d79f7479a9f38a0b58 = L.tileLayer(
                'https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',
                {
  "attribution": null,
  "detectRetina": false,
  "maxZoom": 18,
  "minZoom": 1,
  "noWrap": false,
  "subdomains": "abc"
}
                ).addTo(map_4a8d5b93c59448a8b52cfa2e58817a1c);
        
    

            var marker_676f25e333c346e0bf0a919342dd580e = L.marker(
                [51.5,-0.12],
                {
                    icon: new L.Icon.Default()
                    }
                )
                .addTo(map_4a8d5b93c59448a8b52cfa2e58817a1c);
            
    
            var popup_60e29ab98c3349cebe1efe621d8d9d59 = L.popup({maxWidth: '300'});

            
                var html_a31dc732e7d04de89f9161744e775d8b = $('<div id="html_a31dc732e7d04de89f9161744e775d8b" style="width: 100.0%; height: 100.0%;">London</div>')[0];
                popup_60e29ab98c3349cebe1efe621d8d9d59.setContent(html_a31dc732e7d04de89f9161744e775d8b);
            

            marker_676f25e333c346e0bf0a919342dd580e.bindPopup(popup_60e29ab98c3349cebe1efe621d8d9d59);

            
        
    

            var marker_f169b4a02b9f41378de36f513a7a95f1 = L.marker(
                [48.85,2.35],
                {
                    icon: new L.Icon.Default()
                    }
                )
                .addTo(map_4a8d5b93c59448a8b52cfa2e58817a1c);
            
    
            var popup_a9fed79222cb40bc8d2343698084b0f7 = L.popup({maxWidth: '300'});

            
                var html_68babf8515564905abf970bb05046ef6 = $('<div id="html_68babf8515564905abf970bb05046ef6" style="width: 100.0%; height: 100.0%;">Paris</div>')[0];
                popup_a9fed79222cb40bc8d2343698084b0f7.setContent(html_68babf8515564905abf970bb05046ef6);
            

            marker_f169b4a02b9f41378de36f513a7a95f1.bindPopup(popup_a9fed79222cb40bc8d2343698084b0f7);

            
        
</script>